Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IControlNode

    com.change_vision.jude.api.inf.model.IControlNode

All Superinterfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IControlNode

extends IActivityNode

Interface for Control nodes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `isConnector()` Check if the node is a Connector.
`abstract boolean` | `isDecisionMergeNode()` Check if the node is a Decision MergeNode.
`abstract boolean` | `isFinalNode()` Check if the node is a FinalNode.
`abstract boolean` | `isFlowFinalNode()` Check if the node is a FlowFinalNode.
`abstract boolean` | `isForkNode()` Check if the node is a ForkNode.
`abstract boolean` | `isInitialNode()` Check if the node is an InitialNode.
`abstract boolean` | `isJoinNode()` Check if the node is a JoinNode.
`abstract boolean` | `isMergeNode()` Check if the node is a MergeNode.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isInitialNode

    abstract boolean isInitialNode()

  Check if the node is an InitialNode.

  Returns:
    true it is an InitialNode / false it is not an InitialNode

### isFinalNode

    abstract boolean isFinalNode()

  Check if the node is a FinalNode.

  Returns:
    true it is a FinalNode / false it is not a FinalNode

### isForkNode

    abstract boolean isForkNode()

  Check if the node is a ForkNode.

  Returns:
    true it is a ForkNode / false it is not a ForkNode

### isJoinNode

    abstract boolean isJoinNode()

  Check if the node is a JoinNode.

  Returns:
    true it is a JoinNode / false it is not a JoinNode

### isMergeNode

    abstract boolean isMergeNode()

  Check if the node is a MergeNode.

  Returns:
    true it is a MergeNode / false it is not a MergeNode

### isDecisionMergeNode

    abstract boolean isDecisionMergeNode()

  Check if the node is a Decision MergeNode.

  Returns:
    true it is a Decision MergeNode / false it is not a Decision MergeNode
  Since:
    6.8.0

### isFlowFinalNode

    abstract boolean isFlowFinalNode()

  Check if the node is a FlowFinalNode.

  Returns:
    true it is a FlowFinalNode / false it is not a FlowFinalNode
  Since:
    6.8.0

### isConnector

    abstract boolean isConnector()

  Check if the node is a Connector.

  Returns:
    true it is a Connector / false it is not a Connector
  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD